Introduction

Contains 0 Sub-Categories and 1 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Interface Introduction ( Type : INFO: , ID : 12193 )

ID : 5E6C5Y , Online Version
© 2009 HACH Company, All rights reserved.


Interface Introduction

Documentation : Introduction

The interface software transfers SCADA data from Wonderware Historian (AKA IndustrialSQL, InSQL, and Wondeware Historian Server) to the Hach WIMS database. Data is read from the Historian database, summarized based on the WIMS variable interface options, and the summarized results are stored in the Hach WIMS database.

Wonderware Historian Versions Supported:

The interface uses two tables: Tag and History. Your Wonderware Historian version must have these tables in order for the interface to work. The following table displays Wonderware Historian Versions and Wonderware's Support dates for those versions:

*Information as of 9/24/2013

History Table Format

The History table presents acquired plant data in a historical format, which is shown as follows:

It is a "narrow" format table; i.e. there is one row for a single tag's value for a particular timestamp.

Tag Table Format:

Types of tags that can be defined in the Wonderware Historian are analog, discrete, event, and string. All tag types have some attributes that are the same, such as a tag name, a description, or a storage rate. These attributes are stored in the Tag table:

The tag table MUST contain the following fields (they are used by the Tag Browser)

  • TagName
  • Description
  • TagType - number that represents Analog, Discrete, etc...

Using Interface with Earlier Versions of Historian (AKA InSQL)

Wonderware InSQL version 7.1 did not have a "History" Table/View, therefore if using 7.1 use the v_AnalogHistory or v_discretehisotry table. Later versions (8.x, 9.x,...) of Wonderware Historian have the History table.

  • v_analoghistory
  • v_discretehistory

This interface can pull data from these views by entering the tag in the format [view].Tag. See examples in Supported Variable Configurations. The tag browser does not work with these early versions, however the interface will pull data from these versions. Users must hand enter their tags in the [View].Tag format by hand if using a version prior to 8.x.

keywords : wonderware,insql
ID : 12193 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


How To

Contains 0 Sub-Categories and 10 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Change Configuration Protection Password ( Type : HOWTO: , ID : 12055 )
Configuration is Password Protected ( Type : HOWTO: , ID : 12056 )
Configure the Hach WIMS Client for a Server-Side Interface (SCADA2OPSSQL) ( Type : HOWTO: , ID : 12041 )
Hach WIMS Super User Credentials ( Type : HOWTO: , ID : 12057 )
Pick Hach WIMS Variables to Import Into ( Type : HOWTO: , ID : 12059 )
Step-by-Step Instructions on How to Configure Interface ( Type : HOWTO: , ID : 12069 )
Using Common Buttons ( Type : HOWTO: , ID : 12039 )
Using Main Interface Screen ( Type : HOWTO: , ID : 12036 )
Using Select Date Range to Import ( Type : HOWTO: , ID : 12058 )
WARNING : Version Validation Failed ( Type : ERRMSG: , ID : 12230 )

ID : 3V4B7T , Online Version


Change Configuration Protection Password

Documentation : How To

Requiring a password for configuration changes will prevent unauthorized or accidental tampering with your configuration from within the interactive mode.

From the interface, select Configuration and Advanced Configuration. Click on the Protection tab.

Click on the box next to Require Password to Change Configuration and Save Settings button.

Use this screen to set a new configuration protection password.

NOTE: The default password is '12345'. If you configure the interface to use a password and later remove the password check, it will reset to '12345' again.

ID : 12055 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Configuration is Password Protected

Documentation : How To

The configuration is password protected if you changed it in Change Configuration Protection Password. You must enter the correct password in order to save any changes to the configuration of this interface.

See Advanced Configuration if you want to disable the password protection.

NOTE:
If your configuration is protected with a password, you must know the password before you can disable the password check.

keywords : configuration,password
ID : 12056 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Configure the Hach WIMS Client for a Server-Side Interface (SCADA2OPSSQL)

Documentation : How To

In order to use a Hach WIMS Server-Side Interface, you must do the following:

  1. Start your Hach WIMS Client and navigate to the System Setup -> System Tables -> Entire System -> Server-Side Interface Setup menu selection:

  2. If the "Server-Side Interface Setup" screen shows no interfaces, or the one you want to configure is not shown, you have to:
    • Is the interface definition file uploaded? Click the New button to determine if the definition file is uploaded, and see if it appears in the list of interfaces. If it is there, continue to step 3.
    • If the definition file is not uploaded, click the New Definition button and navigate to the g2_server_lu file located where the interface is installed. (Alternatively, you can select Utilities - Upload Definition File to Hach WIMS)
  3. With the definition uploaded (or present), click the New button and create an instance of the server side interface. You can have multiple interface sources for the same definition.

    In this example, we are using the Random Number Generator interface. Select the name of your interface, click Next, and select the version.
  4. Configure the interface:

    Make note of the "Name of Interface" field - this is how your interface will be identified. In this case - it is "Random Number Generator". Fill in a "Description" and select the "Collector Time Zone", in this case, it is set to Mountain Time (US & Canada). Click OK to create the interface record.
  5. Configure Browser - Click on the Browser tab and enter the requested information to allow the Hach WIMS Client the ability to browse tags from the source system. In some cases, you will need to install an OLE DB driver, on the Hach WIMS Client computer, that will allow communications to the source system. If it is impossible to configure this option, or you wish to do this later - uncheck the Enable button on the Browser tab.
  6. Go to System Setup -> Edit/View Variables.
  7. Go to the variable you wish to configure for storing interface data:

    Click the Interface tab on the variable you are configuring, then click the Interface To radio button and select the interface needed for this variable. The area below will fill up with the settings needed to finish configuring this variable.
  8. For detailed instructions on configuration of variables, look for the 'Supported Variable Configurations For Interface ...' article in the 'Topics specific to the operation of this Interface' chapter.

keywords : g2,collector,client,server,side
ID : 12041 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Hach WIMS Super User Credentials

Documentation : How To

To enable this feature, select Configuration -> Advanced Configuration. Then check the "Require Hach WIMS Super User Login Credentials to Import Data In Interactive Mode" setting.

You must provide the correct user name and password in order to import data in interactive mode.

Contact your Hach WIMS Administrator for help if you do not know the username and/or password.

ID : 12057 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Pick Hach WIMS Variables to Import Into

Documentation : How To

Only variables assigned to this interface will be listed. Select the variables to import data into from the source.

HINT: You can hold the CTRL or CTRL/SHIFT buttons down when clicking in order to select multiple entries

Buttons:

Import data for the selected variables.
Select all variables in the list.
Select no variables - deselects all variables from the list.

All other buttons are explained in Using Common Buttons.

ID : 12059 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Step-by-Step Instructions on How to Configure Interface

Documentation : How To

You will need to follow these steps in order to configure your interface :

  1. You must have Hach WIMS Database Management System installed and running. This can be running from anywhere on your network, but can also be running on the same computer as your interface.
  2. You must have Hach WIMS Client installed. Make sure you can log into Hach WIMS Database Server using Hach WIMS Client.
  3. Run your interface in Interactive mode by clicking on its entry in your windows Start Menu.
  4. Configure a connection to your Hach WIMS Server. Use Configuration - Connection to Hach WIMS to do this.
  5. Upload interface definition file to Hach WIMS Server. Use Utilities - Upload definition file to Hach WIMS to do this.
  6. You will need to assign a collector record to your interface. First the record must be created. You will need to configure Hach WIMS Client for a server side interface.
  7. Now you are ready to assign the collector record created in the previous step to your interface. Use Configuration - Collector Configuration to do this.
  8. You need to link at least one Hach WIMS variable to the chosen collector record.
  9. Configure the source so that interface can read from the source system.
    Locate the 'Configuration -> Source Configuration' article in the 'Topics specific for operation of Interface' chapter to gain instructions on how to do it.
  10. Save all configuration Settings by clicking on Configuration -> Save All Configuration.
  11. You are now ready to use the interface.

Furthermore, You may want to configure Automated Import. Use Configuration - Automated Import Configuration to do this.

ID : 12069 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Using Common Buttons

Documentation : How To

Common Hach WIMS Interface Buttons:

Displays help for the current interface screen.
Applies the current settings.
Attemps to apply the current changes and save them permanently. The save will fail if the settings cannot be applied first.
Closes the current window - no changes are saved.
Cancel the current activity/operation.

keywords : buttons
ID : 12039 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Using Main Interface Screen

Documentation : How To

This is the main interface interactive screen.

When running in interactive mode, you can set the various interface configuration settings, monitor & control the interface service, as well as interactively collect data.

The main parts of the of the screen of interest are:

  • Main Menu
  • The Shortcut Buttons:

    Import all data.
    Import data for selected variables.
    Monitor service activity.
    Display help for the current window.
    Display general interface information.
    Exit the interactive interface session.

  • The Interface Messages & Notification area - the white background area displays scrolling text regarding the interface's activity. All manner of data is logged here, including data collection status, errors, warnings and other general information regarding the interface's current activity.

    Depending on the Verbosity level set, you may or may not see all information.

    If there is a directory called "Log" in the interface directory, the interface will also log to a text file of the form:
    <mm_dd_yyyy__hh_mm_ss_interactive.log>

    E.g., if the current date is 2/26/2009 and the current time is 3:02:13 PM, the file will be called:
    02_26_2009__15_02_13_interactive.log.

  • The status bar, at the bottom of the screen, displays miscellaneous information regarding the interface.

ID : 12036 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Using Select Date Range to Import

Documentation : How To

When importing data for one or more specified variables, you have to specify the date range of the source data you want to get.

You can do this in 2 ways:

  1. Use both the Start & End Date Pickers

    - OR -
  2. Use a start/end date quick shortcut:

Buttons:

Import data for the selected dates

Other buttons are described in Using Common Buttons.

Principle 1: Data will be imported based on the Start and End Date and Time and how the variable's Stop Time is set up. The Stop Time must fall within the date range requested.

Principle 2: Data is stored on the date and time of the variable's Start Time.

For example: We set a variable with Start Time of 08:00 and a Stop Time of 08:00, and select Day After Start as shown below.

Then I run the interface to pull data for March 3, 2009 00:00:00 to March 4, 2009 08:01:00.

The interface will return a value for March 2 and March 3. Why? The stop time is our requested date range starting on March 3, 2009 with a stop time of 8 AM. The stop time is computed to March 3, 2009 08:00:00. Since we selected the stop as day after start, the start time is March 2, 2009 at 08:00:00. According to principle #2, the data point is stored on the start time.

So for our example:

Requested Date | Start Date and Time | Stop Date and Time
March 3, 2009 | March 2, 2009 08:00:00 | March 3, 2009 08:00:00
March 4, 2009 | March 3, 2009 08:00:00 | March 4, 2009 08:00:00

If we had set our date range from March 3, 2009 00:00:00 to March 4, 2009 07:59:59, then the interface would return only the first record, because stop time of March 4, 2009 08:00:00 in the second record, is past the end date and time of our range.

If we had set our date range from March 3, 2009 08:01:00 to March 4, 2009 08:01:00, then the interface would return only the second record, because the Stop Date and Time of the first record (March 3, 2009 08:00:00) does not fall within our start and end date range.

ID : 12058 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


WARNING : Version Validation Failed

Documentation : How To

The version of the interface that you are using should match the version of the interface that the collector links to.
If they do not match, you will be presented with the following warning message:

Click OK to continue.

To find out which version of the interface is running, click on the About box:

If you have already defined a Collector within Hach WIMS client that links to the appropriate version, you can select it from the Configuration / Collector Configuration screen:

If there is not a collector in the list that links to the appropriate version, you will need to create a new collector or modify an existing one in Hach WIMS Client.

To modify an existing collector or add a new one, go to your Hach WIMS Client and click on System Setup / System Tables / Enter System / Server-Side Interface Setup from the main menu:

To add a new collector, click on New. To modify an existing one, click on Edit next to the appropriate collector:

If you are editing an existing collector, click on the blank button near the top right hand corner to open up the Definition Browser Screen:

In the Definition Browser screen, click on the appropriate version and click 'Finish':

If you don't see the appropriate version listed, then you need to update your g2_server_lu file. You can do that within the interface by clicking Utilities / Upload definition file to Hach WIMS from the main menu:

keywords : Version,mismatch
ID : 12230 , Type : ERRMSG: , Online Version , Help us improve this article : Leave Feedback


Main Menu

Contains 0 Sub-Categories and 18 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Automated Import - Activity Log View ( Type : INFO: , ID : 12049 )
Automated Import - Last Run Dates ( Type : INFO: , ID : 12213 )
Automated Import - Modify Last Ran Dates ( Type : INFO: , ID : 12051 )
Automated Import - Status and Control ( Type : INFO: , ID : 12047 )
Configuration - Advanced Configuration : Source Input Cache ( Type : INFO: , ID : 12132 )
Configuration - Advanced Configuration: Additional Info ( Type : INFO: , ID : 12598 )
Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field ( Type : INFO: , ID : 12599 )
Configuration - Advanced Configuration: Unit Conversion ( Type : INFO: , ID : 12328 )
Configuration - Automated Import Configuration ( Type : INFO: , ID : 12044 )
Configuration - Collector Configuration ( Type : INFO: , ID : 12042 )
Configuration - Connection To Hach WIMS ( Type : INFO: , ID : 12037 )
File - Exit ( Type : INFO: , ID : 12035 )
File - Import All ( Type : INFO: , ID : 12034 )
File - Import For Selected Variables ( Type : INFO: , ID : 12038 )
Test - Source Read Test SCADA to Hach WIMS ( Type : INFO: , ID : 12054 )
Test - Test Connection to Hach WIMS ( Type : INFO: , ID : 12052 )
Test - Test Import All ( Type : INFO: , ID : 12053 )
Utilities - Upload Definition File to Hach WIMS ( Type : INFO: , ID : 12040 )

ID : 8Y4A2A , Online Version


Automated Import - Activity Log View

Documentation : Main Menu

For Automated Import options, click the Automated Import button on the top menu bar of the interface.

The Activity Log View lets you view the interface NT Service log.

Buttons:

Force refresh of the service log view. To shorten the refresh interval, see Configuration - Advanced Configuration.
View the full service log.

The rest of the buttons are explained in Using Common Buttons.

NOTE:
If the log cannot be read, make sure the service name is correct and that it's running. See Automated Import - Status and Control on how to start the service if it's not running (assuming the service name is correct) and see Configuration - Advanced Configuration on how to view/change the service name.

keywords : activity,log
ID : 12049 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Automated Import - Last Run Dates

Documentation : Main Menu

The Last Run Dates screen lets you view the date and time when the interface successfully imported data for each facility that uses the interface. The screen also lets you change the last run date if need be. The only column that is editable is the Last Run Date. The other columns are there for informational purposes only.

keywords : lastrun,lastran
ID : 12213 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Automated Import - Modify Last Ran Dates

Documentation : Main Menu

This screen lets you modify the per-facility Last-Ran Date of the interface.

NOTE:
This is different than the default Last-Ran Date described in Configuration - Automated Import Configuration , which is the default Last-Ran Date for ALL facilities that have not had any data imported.

keywords : last,ran
ID : 12051 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Automated Import - Status and Control

Documentation : Main Menu

The NT Service Status and Control screen lets you monitor the state of interface service, and start or stop the service (Note: you must be logged in as a Windows Administrator):

The name of the service is displayed in the bottom left (see screenshot) corner of the screen. This is the name of the service that the interactive program is configured to monitor.

If this is NOT the name of the service, you can change it from the Configuration - Advanced Configuration screen.

Buttons:

Start the service, if it is not running.
Stop the service, if it is running.

All other buttons are explained in Using Common Buttons.

keywords : import,status,control
ID : 12047 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Advanced Configuration : Source Input Cache

Documentation : Main Menu

Source Input Cache Configuration, is used to configure criteria for caching, if the interfaces supports caching and the option is Enabled. Caching is used to load more data into memory at one time, and retain it for processing variables instead of continuously rereading source data from disk. This will speed up processing, but uses more computer resources - such as memory. Set the parameters to set thresholds for processing chunks of data and so that the interface does not surpass the limitations of your computer.

(Note: Not all interfaces have this feature available)

Click Apply Settings to apply changes and return to parent form. Click Close to return without applying changes.

ID : 12132 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Advanced Configuration: Additional Info

Documentation : Main Menu
Additional Info, if enabled, is used to configure a cross reference map between fields in the source system and result additional info fields in Hach WIMS. This cross reference map will be then used by the interface during data import.

This feature can be turned off. Simply click the Disable radio button under Write Data Into Additional Info Fields in Hach WIMS.

The number of successful writes to additional information can be Enabled or Disabled. Click the appropriate radio button under Log Number of Successfully Written Fields during Import.

(Note: Not all interfaces have this feature available)

  1. Click on any button in the Source Field Identifier column to pick a source field.
  2. Click on any button in the Target WIMS Facility Identifier.Field Identifier column to pick a target field.
  3. Right click on any button, and click on Clear Cell to erase contents of a cell.

Notice the example output below from Hach WIMS Client > Spread Report Design, additional info is only imported when there is a valid result imported. Also notice how we have the field set up in Additional Info and how we recall the data in Spread Reports.

NOTE: When interfacing to two (2) or more facilities you MUST map each facility. For example, I am importing data into the OPSEID facility database and the OPSDEERCRK facility. I would map AI_COLUMN_1 thru AI_COLUMN_4 for each facilty:

ID : 12598 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field

Documentation : Main Menu

Pick WIMS Facility Additional Info Field window lists all available additional info fields for all facilities connected to your Hach WIMS server.

Select a row to highlight a field, and click the Pick button.

ID : 12599 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Advanced Configuration: Unit Conversion

Documentation : Main Menu

Unit Conversion, if enabled, is used to configure unit conversion when the "units" from the source are different than the "units" in Hach WIMS.

This feature can be turned off, simply click the Disable radio button under Convert Result from Source Unit to Hach WIMS Unit.

(Note: Not all interfaces have this feature available)

  1. Under Source Unit enter the text value as it is in the source
  2. Select the Conversion Algorithm

    • Multiplication - Multiply the source result by the Factor before writing to Hach WIMS
    • Degrees F to C - Convert degrees Fahrenheit to degrees Celsius
    • Degrees C to F - Convert degrees Celsius to degrees Fahrenheit
  1. Enter the Factor amount, how much to multiply the source result by before writing to Hach WIMS. When using the Degrees conversion, enter a 1 (one)
  2. Enter the Hach WIMS Unit that the Hach WIMS variable will be using

For example, the source result is stored in parts per million ("ppm") and it needs to be converted in Hach WIMS as parts per billion ("ppb"). You could add the following conversion:

(Note: this is one of the default conversions included)

Click Apply Settings to apply changes and return to parent form. Click Close to return without applying changes.

keywords : Configuration,Advanced,Configuration,Unit,Conversion
ID : 12328 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Automated Import Configuration

Documentation : Main Menu

Each interface can be configured to run as a service. This is when you want to schedule an automatic retreival of data, without user intervention.

The Automated Import Configuration screen allows you to configure the schedule, whether to submit calculation requests, the Last-Ran Date, and the import operation mode:

  • Automated Import Schedule - configure when the interface service is scheduled to run:
    • Daily -the interface will run ONCE per day, at the specified schedule. E.g., to run it at 2:30 am, you would enter "2" into the hours box and "30" into the minutes box. Note that time is entered in "military" format. To enter 4:45 pm, you would enter "16" into the hours box, NOT 4.
    • Hourly - the interface will run every hour at the specified minute after the hour
    • Minutely- the interface will run every X minutes where X is a number between 1 and 1440. E.g., to run it every 5 minutes, you would enter "5".
  • Calculations After Automated Import - select this option if you would like the Hach WIMS AdoCalc service to recalculate all variables within every facility after an import operation completes.
  • Default Last Run Date - this is the point in time from which the interface service will try to retrieve data, up until the current point in time. After a successful run, the current time will become the last run time. By default, this is set to one day prior to the current day.

    E.g., assume today is February 25, 2009, if you have just installed the interface and have 3 months of historical data you want imported into Hach WIMS. You should enter November 25, 2008 as the Last-Run Date (3 months prior to February 25th). Once the interface completes its run, the Last-Run Date will be set to February 25, 2009 automatically. The next time it runs (assuming it runs Daily), February 26, 2009, it will only fetch one day's worth of data.
  • Constant to Add to Start Date Each Time Import Runs - Enter the number of minutes to add to the Start Date when the interface runs in automatic mode. This allows the interface to capture data from previous runs that might not have been available at that time.
    • During automated import, interface queries source data for the following date range :
      from (Last Run Date/time + Constant to Add to Start Date Each Time Import Runs ) to (current date / time )

      If your source system does not yet contain the needed data at the time of automated import, use this setting to push back the from parameter. For instance, if you need the import to start 2 hours before Last Run Date/time, you need to enter value of -120 (negative 120) to Constant to Add to Start Date Each Time Import Runs

      NOTE: Situations when you would need to input a positive value in this field are very rare.
      Value of 0 (default) has no negative or positive effect on start date.
  • Import Operation Mode -Real mode imports data into Hach WIMS where as Test does not actually import data, but tests the query capability and timing of the interface.

Buttons:

The buttons are explained in Using Common Buttons.

keywords : automated,import
ID : 12044 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Collector Configuration

Documentation : Main Menu

The Collector Configuration is the place where you configure the source of your data - the SCADA/LIMS system that holds the data you want to import.

NOTE: Before you can configure the collector, you MUST configure the Connection to Hach WIMS and you must setup the Hach WIMS client.

Select Which Hach WIMS G2 Interface Am I for this interface. The names that appear in the drop-down box are the ones that were configured in the Hach WIMS Client. This name is then tied to this interface and is unique.

Buttons:

The buttons are explained in Using Common Buttons.

If the Interface you are using has a separate Collector Utility that generates OPSDATAXML files that it reads from, you can configure and launch it from here.

Opens a screen that allows you to configure the Collector's settings

Starts the Collector utility

keywords : collector,configuration
ID : 12042 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Connection To Hach WIMS

Documentation : Main Menu

The Connection to Hach WIMS screen lets you configure how the interface will connect to Hach WIMS Database Server.

This is one of the first items you configure when setting up a new interface.

  • Data Source - this field specifies, in loose terms, the "Database/Datasource server name" where your Hach WIMS system is configured to store data. "Database/Datasource server name" means different things depending on whether you are running against Oracle or MS SQL:
    • Oracle - you can type in either the Oracle TNS name or a string in the form of host:port/SID, if using the Oracle HOSTNAME adapter.
    • MS SQL - this is in the form of host\sql_instance_name
  • Database Type -select the appropriate type of your Hach WIMS database
  • OLE DB Provider - this specifies which "database driver" the interface will use when connecting to Hach WIMS and again depends on the database type:
    • Oracle - the default string should be fine
    • MS SQL - if connecting to MS SQL 2005 or later, use the native client to connect. Specify SQLNCLI as the provider. NOTE: You will need to have the Microsoft SQL Native Client installed for this to work. If connecting to MS SQL 2000, specify SQLOLEDB as the provider.
  • Connection Timeout in Seconds - how many seconds the program should wait when establishing a connection to the Hach WIMS database before aborting.
  • Command Timeout in Seconds - specifies how many seconds the program should wait for a query to complete before aborting the operation.

    WARNING: Large values for these two settings can cause the program to not respond for a long period of time! Do NOT use 0 unless you know what you are doing - it will cause the program to wait indefinitely, and if your database server is down, the only way to cancel the operation is to forcefully quit the program.
  • Customizations - this should be left empty unless you were told otherwise by a Hach Support Engineer or you know what you are doing.

Buttons:

Test to see if the connection settings are valid and the interface is able to connect to Hach WIMS client. This will NOT Apply or Save the settings.

The other buttons are explained in Using Common Buttons.

keywords : connection,wims
ID : 12037 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


File - Exit

Documentation : Main Menu

Terminates the interactive interface program.

NOTE:

Clicking "Exit" only closes the interactive interface session. Since the interface can be configured to run as a Windows Service, clicking "Exit" does NOT affect this service, it will continue collecting data. The service can be scheduled to collect data anytime, whether a user is logged on to the machine or not. The service for the interface will continue collecting data whether the interactive program is running or not.

keywords : interface,exit
ID : 12035 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


File - Import All

Documentation : Main Menu

Imports all data for all variables.

keywords : import,all
ID : 12034 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


File - Import For Selected Variables

Documentation : Main Menu
Imports data for the selected variables.

keywords : selected,vars,import
ID : 12038 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Test - Source Read Test SCADA to Hach WIMS

Documentation : Main Menu

For testing options, click on the Testing menu option at the top menu bar of the interface.

The Source Read Test functionality is useful for source testing purposes.

Use this screen to look at source data for specific dates, using different statistics (MINIMUM, MAXIMUM, AVERAGE, etc).
This is useful when you want to look at source data on specific dates, WITHOUT doing an actual import. (No data will be overwritten on the Hach WIMS database.)

To do a test, you will need to specify a tag in the Source Tag field.
Then, for each tag, you can specify:

  • The Source Statistic to apply (MINIMUM, MAXIMUM, AVERAGE, etc).
  • The start and end dates you want data fetched.
  • The high & low ranges, as well as the dead-band (optional).
  • The filter tag - a second source tag that acts as a filter to the main selected tag (optional).

Buttons:

Interpret the tag as a double (floating-point) tag and return a floating-point number.
Interpret the tag as a string tag and return the result as a string.
Closes the window.

keywords : source,read,test
ID : 12054 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Test - Test Connection to Hach WIMS

Documentation : Main Menu
Perform a test against the Hach WIMS connection to see if the connection is valid

keywords : test,connection
ID : 12052 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Test - Test Import All

Documentation : Main Menu
This performs a test import for all interface-configured variables. Note that no actual data will be written to the Hach WIMS database.

keywords : test,import,all
ID : 12053 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Utilities - Upload Definition File to Hach WIMS

Documentation : Main Menu

This feature allows you to upload the interface definition (g2_server_lu) file to the Hach WIMS database. This is needed in order to setup a collector record in Hach WIMS.

Once the definition file has been uploaded, proceed with creating a collector record in Hach WIMS Client.
The process to setup a collector record is outlined in How to configure the Hach WIMS Client for a server-side interface.

keywords : upload,definition
ID : 12040 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Release Notes

Contains 0 Sub-Categories and 2 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Release Notes for Hach WIMS Server-Side Interface Platform ( Type : INFO: , ID : 12033 )
Release Notes for SCADA2OPSSQL Type of Hach WIMS Direct Server-Side Interface ( Type : INFO: , ID : 12068 )

ID : 2E3F2Q , Online Version


Release Notes for Hach WIMS Server-Side Interface Platform

Documentation : Release Notes

Build 149 (9/16/2015)

  • Menu item Support>Am I licensed for this interface now works with new licensing system.

Build 147 (8/21/2015)

  • Added GetLocationPath to CommonGlobals (4660)

Build 146 (6/2/2015)

  • Fixed error condition when LockDate is not set in the database (4605)

Build 145 (7/3/2014)

  • Minor update of UI for Windows 7 (4431)
  • Minor update of Automated Import Configuration for Windows 7 (4466)

Build 142 (10/1/2013)

  • Improved Time/Date syncing issues experienced by some clients (4207)
  • Added a database connection throttle (performance throttle) advanced configuration option that pauses between source queries allowing other database process events to execute (4267)

Build 137

  • Modified to handle the new licensing for SQL Server 2012.(4202)
  • Handled out of memory error when the interfaces are ran with many variables and date ranges.(4158)
  • A change was added to keep the database connection open during the import process.(4106)

Build 135

  • Changed logging to user interface (LogToUI) to prevent an "Out of Memory" error when extensive amount of text lines are written to the interfaces list box. (4158)

Build 116

  • Updated framework to handle time zone differences and how they affect direct and indirect interfaces

Build 100

  • Compatible with Hach WIMS 1.3.8 Database version

Build 85

  • Minor change to Advance Configuration to disable Additional Info button if the interface does not support additional info

Build 84

  • Fixed a bug that caused interfaces to omit reading of Hach WIMS variables in rare cases when the natural order of records in the VARDESC table did not equal to 'order by varid' on Oracle platforms(3006)

Build 83

  • Added support for importing of Additional Entry Fields. For interfaces that support this framework feature, go to Advanced Configuration / Additional Info in order to configure you conversion map (3075)
  • Added support for User Interface to display Connection String when clicking on Source Configuration / View Applied Connection String (2821)
  • Added support for User Interface to omit asking for Input Dates for interfaces where selecting dates does not make sense (2806)
  • Fixed a bug that caused Floating Point rounding to overflow on very large numbers resulting in no rounding being performed on numbers (3016)
  • Fixed a bug that caused help.chm to be improperly located by the user interface when interface executable was launched using Windows Shell command (2932)
  • Fixed a bug that caused interfaces of common type SCADA2OPSSQL to halt importing in cases when users went around the program business rules and manually (in the backend) entered OPSROOT.FACILITY.FILENAME field in lowercase (2890)

Build 54

  • Added support for Configuring and Launching a Collector Utility

Build 53

  • Added support for LIMS2OPSSQL type of framework
  • Added support for Unit Conversion

Build 48

  • Fixed an interface crash if the selected OLEDB driver could not be found (2406)
  • Added a MINUTELY mode of scheduling of automated service (2447)
  • Displays a warning message when attempting to import into collector which is linked to incorrect version of g2_lu (2505)
  • Added ability to view and edit Last Run Date for Facility UI (2626)

Build 36

  • Fixed a loophole that may have allowed interface crash when UI log listbox was about to display more than 32000 lines of log (2495)

Build 34

  • Fixed a bug that pulled up incorrect article or category when clicked on submenu Help / Chapters. Platform now requires setting of link constants for every interface custom configuration module (2488)
  • Fixed a bug that took users to incorrect link upon clicking on menu item Support / Check for new Updates (2492)

Build 27

  • Initial release to public

keywords : interface,platform,release notes,server-side, interface common framework
ID : 12033 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Release Notes for SCADA2OPSSQL Type of Hach WIMS Direct Server-Side Interface

Documentation : Release Notes

Build 66(8/21/2015)

  • Variable Browser relocated location path field next to variable name (4660)

Build 65(3/30/2015)

  • Variable Browser Select All button no longer selects filtered variables (4582)
  • Variable Browser now displays location path (4582)

Build 64 (7/3/2014)

  • Additional logging added (4159)
  • Added a database connection throttle allowing other processes (programs) to process events to run. (4267)
  • Variable Browser improvements - added quick filter, filter by facility. (4385)
  • Variable Browser UI improvement for Windows 7 (4466)

Build 60

  • Added support for MAXTIME and MINTIME to the import process.(4185)
  • Fixed problem importing text values.(4125)
  • Added user option setting to keep the database connection open during the entire import process.(4106)

Build 57

  • Added a global variable to CommonGlobals to allow custom notes to the stats summary at the end of a run. I added the global variable to CommonGlobals and it is used in CommonImport (4132)

Build 56

  • Added a global variable to CommonGlobals and CommonImport to keep the CustomImport object alive so its connection would stay open. We were having a problem with a special database driver hanging when it was closed. (4106)

Build 55

  • Fixed framework to properly handle Text Parameter type variables (4125)

Build 53

  • Updated framework to handle time zone differences and how they affect direct and indirect interfaces

Build 47

  • Added logging in CommTAGFilter routine CarryLastValue when verbosity is set to 9

Build 46

  • Changed CommonImport to make sure start date is correct when using the Cache feature in Advanced Settings (only affects certain interfaces) (3261)
  • Changed CommonTAGFilter to scrutinize data returned from CustomTAGFilter (only affects certain interfaces) (3313)
  • Changed CommonTAGFilter to propogate execution error check down to lowest level, so that we can distinguish between an execution error and bad data (only affects certain interfaces) (3426)

Build 41

  • Added to CommonTypeDateManager in Common_SCADA2OPSSQL; added code to compensate for daily var that have less than 1440 min/slot (i.e., 60 min from total day) so that it would get current day if the start and stop times have passed current time (Fortress 2673)

Build 40

  • Added ability to view connection string in CustomConfig form

Build 37

  • Added ability for SCADA2OPSSQL type of interfaces to define a global configuration tree

Build 36

  • Fixed problem with statistics TIMELT, TIMEGT, and TIMEEQ not counting the very first record.

Build 34

  • Added to caching function to support the following statistics for parameters using flat file databases: TOTAL, AVERAGE, MINIMUM, MAXIMUM, FIRST, LAST, DIFF, RANGE, COUNT, INVENTORY, TIMEGT, TIMELT, and TIMEEQ
  • Added to caching function to support the following statistics for text parameters using flat file databases: MINTIME, MAXTIME, FIRST, LAST, COUNT
  • Added to caching function to support the following filter operators on filter tags when using flat file databases: =, <, >, <=, >=, <>, and CYCLESTO

(Note: consult the "Topic specific to the operation of this interface" article "Supported Variable Configuration" to see whether your interface supports these available options or not)

Build 28

  • Added ability to specify adjustment of start date in minutes when running in automated mode. This can be configured under Configuration / Automated Import Configuration (2445)
  • Added support for caching of input to accelerate interface performance of interface that rely heavily on IO (2481)
  • Added support for filtering for OLEDB types of SCADA2OPSSQL interfaces (2457)

Build 10

  • Initial Release to Public

Related Articles (See Also)
Release Notes for Hach WIMS Server-Side Interface Platform ( Category : Documentation : Release Notes )

ID : 12068 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Topics specific to the operation of this interface

Contains 0 Sub-Categories and 5 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Configuration - Source Configuration Q12180 ( Type : INFO: , ID : 12194 )
Release notes for interface Q12180 ( Type : INFO: , ID : 12196 )
Supported Variable Configurations for Interface Q12180 ( Type : HOWTO: , ID : 12195 )
Tech Notes ( Type : INFO: , ID : 14153 )
Using Interface Browser Q12183 ( Type : HOWTO: , ID : 12197 )

ID : 7V8Y8K , Online Version


Configuration - Source Configuration Q12180

Documentation : Topics specific to the operation of this interface

In order to configure source connection from the interface, click Configuration and select Source Configuration.

The next screen will display parameters such as Data Source, User ID, Password, Connection and Command Timeouts, and allow you to Test Connection:

  • Wonderware InSQL Data Source - this field specifies, in loose terms, the "Database/Datasource server name" where your Wonderware InSQL system is configured to store data.
  • Provider - the database driver. SQLOLEDB specifies that Wonderware InSQL data is store in an MSSQL server. This is the default setting.
  • Database - the name of the database on the SQL Server that stores the Wonderware InSQL data
  • Username and Password - these fields are only mandatory if the connection to the Wonderware InSQL system requires them. These fields should be blank if not used.
  • Schema owner - all tables in the database are owned by a schema. This is the name of the schema owner. The default is "dbo".
  • Connection Timeout in Seconds - how many seconds the program should wait when establishing a connection to the Wonderware InSQL server.
  • Command Timeout in Seconds - specifies how many seconds the program should wait for a query to complete before aborting the operation.

Buttons:

Test to see if the connection settings are valid and the interface is able to connect to the Wonderware InSQL SCADA server. Does NOT Apply or Save the settings.
Populates the tag list to a WIMS table (OPSROOT.G2_Q12180_x_TAGS) that can be browsed from any WIMS client.

The other buttons are explained in Using Common Buttons.

ID : 12194 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Release notes for interface Q12180

Documentation : Topics specific to the operation of this interface

Version 8.0.2 (Released on 4/20/2022)

  • Feature added to not overwrite data previously written to WIMS

Version 8.0.1 (Released on 3/5/2022)

  • Updated Licensing
  • Auto Run Constant to add to Start Date Each Time Import Runs extended to 60 days.
  • Update Last Run Date updates Default Last Run in xml file when importing vars from CSV file.

Version 8.0.0 (Released on 11/22/2021)

  • Added support for CSV Export and Upload to Aquatic Compliance & Operations.
  • Upgraded to Spread 8.

Version 1.2.8 (Released on 10/24/2018)

  • Added wwTimeStampRule='start' to all non-cyclic queries.

Version 1.2.7 (Released on 5/1/2018)

  • Fixed Issue with daylight savings time. Now properly handles "Spring Forward" times (2AM to 3AM times that do not exist).
  • Added USE_VB6_LICENSING XML Setting. Default of zero is strongly recommended, set to 2 in high security environments.
  • Updated query for filtered results to handle milliseconds in the query result (Interface would throw error when Historian would return a date time like "2017-04-15 17:22:25.0000")
  • Updated all Non-Cyclic queries to use Wonderware recommended time span.
  • Added Cyclic Retrieval Mode Statistics: Average.Cyclic, Maximum.Cyclic, Minimum.Cyclic, First.Cyclic, Last.Cyclic, Range.Cyclic, Diff.cyclic, Mintime.Cyclic and Maxtime.Cyclic
  • Added Generate Browser to Source Configuration which populates the tag list to a WIMS table (OPSROOT.G2_Q12180_x_TAGS) that can be browsed from any WIMS client.
  • Removed Hexagora Controls

Version 1.2.5 (Released on 12/4/2015)

  • Fixed DIFF function (4623)
  • Upgraded interface to Common Framework Build 149

Version 1.2.4 (Build 160, Released on 4/29/2015)

  • Interface now uses retrieval mode 'Minimum', 'Maximum' and 'Full' where appropriate to increase accuracy of results(4591)
  • Upgraded interface to Common Framework Build 145
  • Upgraded interface for SCADA2OPSSQL Common Framework Build 65

Version 1.2.3 (Build 159, Released on 1/7/2015)

  • Fixed issue with Inventory statistic not working (4546)

Version 1.2.2 (Build 151, Released on 12/31/2013)

  • Fixed issue uploading a 1 when there were no values (4406)

Version 1.2.1 (Build 148, Released on 10/18/2013)

  • Tag Browser updated to only use the Tag table and autoload the list
  • Tag Browser quick search added.
  • Upgraded interface to Common Framework Build 142

Version 1.2.0 (Build 143, Released on 5/28/2013)

  • Fixed a bug that was not allowing sorted tags to be imported (4326)
  • Added a filter to remove tab characters (displayed as a black bar) at the end of tags when using the tag browser.

Version 1.1.9 (Build 142, Released on 5/7/2013)

  • Fixed a bug with the definition XML that was incorrectly displaying three Maximum statistics (4320)

Version 1.1.8 (Build 141, Released on 1/23/2013)

  • Updated to the latest common framework
  • Fixed problem uploading the G2_Server_LU file

Version 1.1.7 (Build 139, Released on 6/17/2012)

  • Fixed problem with the Text Parameters SQL query using MAXTIME and MINTIME (4227)

Version 1.1.6 (Build 116, Released on 5/11/2012)

  • Added functionality to work with SQL Server 2012

Version 1.1.6 (Build 115, Released on 3/22/2012)

  • Added support for MAXTIME and MINTIME statistics.

Version 1.1.5 (Build 114, Released on 2/8/2012)

  • Corrected a problem with browser using a SQL query that was not accepted by some WonderWare drivers.

Version 1.1.4 (Build 113, Released on 2/24/2011)

  • Corrected problem with validating variable setup, using start and end date comparison

Version 1.1.3 (Build 107, Released on 9/27/2010)

  • Corrected problem with the package in previous version.

Version 1.1.2 (Build 104, Released on 9/27/2010)

  • Fixed problem with errors in browser

Version 1.1.1 (Build 103, Released on 9/20/2010)

  • Fixed problem handling data when value is NULL or empty (usually when WonderWare InSQL is taken down)
Version 1.1.0 (Build 102, Released on 9/2/2010)
  • Upgraded to Common Framework build 116, SCADA Framework build 53, Updated framework to handle time zone differences and how they affect direct and indirect interfaces

Version 1.0.9 (Build 87, Released on 7/30/2010)

  • Upgraded interface to Common Framework Build 100

Version 1.0.8 (Build 74, Released on 2/18/2010)

  • Removed testing code and repackaged

Version 1.0.7 (Build 71, Released on 2/8/2010)

  • Upgraded interface to SCADA2OPSSQL Framework Build 47

Version 1.0.6 (Build 62, Released on 10/21/2009)

  • Upgraded interface to Common Framework Build 85

Version 1.0.5 (Build 46, Released on 9/10/2009)

  • Fixed queries added in 1.0.4 that were failing (FIRST, LAST, DIFF)

Version 1.0.4 (Build 45, Released on 9/9/2009)

  • Fixed query to apply low range and high range filtering

Version 1.0.3 (Build 38, Released on 6/18/2009)

  • Added to query " wwRetrievalMode='Cyclic' AND wwRowCount = '1440' " (where 1440 is number of minutes between start and end date/time

Version 1.0.2 (Build 35, Released on 6/12/2009)

  • Fixed problem with trying to connect to large source systems
  • Changed browser, added "TAG" table to options for listing tag names

Version 1.0.1 (Build 22, Released on 5/12/2009)

  • Initial release

keywords : 12180,q12180
ID : 12196 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Supported Variable Configurations for Interface Q12180

Documentation : Topics specific to the operation of this interface

Wonderware Historian Variable Cross Referencing

To configure a variable to summarize values from Wonderware Historian (InSQL), select Edit/View Variables in the client and select the Interface tab. Then click Interface To radio button. The drop down box next to the option is now enabled, click the drop down arrow and choose the Wonderware Historian interface name (name given when configuring the interface).

Note: Tag is CASE Sensitive

FIELDS

Tag: The SCADA Tag to import data from. Note: Tag is CASE Sensitive. Data will be pulled from the Wonderware Historian table named History by default. To specify a different table in the Historian to pull data from, simply put the table name in square brackets ("[tablename]") followed by a dot (".") then the tag name. Note: Wonderware InSQL version 7.1 did not have a "History" Table/View, therefore if using 7.1 use the v_AnalogHistory table. Later versions (8.x, 9.x,...) of Wonderware Historian have the History view.

Example Tag Settings:

WTP_WW_FLO_VLV.PosEU - Will pull data from the History table in Wonderware Historian where TagName = WTP_WW_FLOW_VLV.PosEU

[v_AnalogHistory].WTP_RAW_TURB.TuEU - Will pull data from the v_AnalogHistory view in Wonderware Historian where TagName = WTP_RAW_TURB.TuEU

If the Browser is configured (see Browser Setup), the ? button can be used to browse the available tags:

The tag browser lists all tags listed in the Historian Tag table. The TagType indicates the type of data (analog, discrete, etc...). The following table describes the TagType field (SELECT * FROM TAGTYPE):

TagType | TagTypeName
1 | Analog
2 | Discrete
3 | String
5 | Event
7 | Structure

Select a tag and then click OK and you will be back at the Edit Variable screen. Click on the column headers to sort by column and use the Search function to filter the list to find a particular tag (Search looks at both the TagName and Description and is not case sensitive).

NOTES: You do not need to specify the tablename if you want to pull data from the History Table/View. If you specify the table/view in square brackets, the table MUST have the following fields: DateTime, Value, TagName, wwRetrievalMode, wwRowCount. The History, v_AnalogHistory, and v_DiscreteHistory views have these required fields.

Statistic: Sets how to summarize the Wonderware data for import. The following table shows the supported statistics with the actual query used for a daily parameter variable with Start Time set to 00:00 and Stop Time of 23:59. Tag is set to 'ETP_RW_FlowTotal.FlowTotalOS', therefore the History View will be used.

Stat

Description

 SQL Query

AVERAGE

Take the average of the data points

select Avg(Value) from dbo.History
where TagName = 'ETP_RW_FlowTotal.FlowTotalOS' AND value is not null
AND wwRetrievalMode = 'average' AND wwRowCount = 1 AND wwTimeStampRule='start'
AND DateTime >= '2011-01-04 00:00:00' AND DateTime < '2011-01-05 00:00:00'

AVERAGE.CYCLIC

 Average using Cyclic Retrieval Mode

select Avg(Value) from dbo.History
where TagName = 'ETP_RW_FlowTotal.FlowTotalOS' AND value is not null
AND wwRetrievalMode = 'Cyclic' AND wwRowCount = 1440
AND DateTime >= '2011-01-04 00:00:00' AND DateTime < '2011-01-05 00:00:00'

NOTE: This was used in versions prior to 1.2.4 for Average statistic.

TOTAL

Take the sum total of all values

select SUM(Value) from dbo.History
where TagName = 'ETP_RW_FlowTotal.FlowTotalOS' AND value is not null
AND wwRetrievalMode = 'Cyclic' AND wwRowCount = 1440
AND DateTime > '2011-01-04 00:00:00' AND DateTime <= '2011-01-05 00:00:00'

MINIMUM

Get the minimum value

select MIN(Value) from dbo.History
where TagName = 'ETP_RW_FlowTotal.FlowTotalOS' AND value is not null
AND wwRetrievalMode = 'minimum' AND wwRowCount = 1 AND wwTimeStampRule='start'
AND DateTime >= '2011-01-04 00:00:00' AND DateTime < '2011-01-05 00:00:00'

MINIMUM.CYCLIC

 Minimum using Cyclic Retrieval Mode

select MIN(Value) from dbo.History
where TagName = 'ETP_RW_FlowTotal.FlowTotalOS' AND value is not null
AND wwRetrievalMode = 'Cyclic' AND wwRowCount = 1440
AND DateTime >= '2011-01-04 00:00:00' AND DateTime < '2011-01-05 00:00:00'

NOTE: This was used in versions prior to 1.2.4 for Minimum statistic.

MAXIMUM

Get the maximum value

select MAX(Value) from dbo.History
where TagName = 'ETP_RW_FlowTotal.FlowTotalOS' AND value is not null
AND wwRetrievalMode = 'maximum' AND wwRowCount = 1 AND wwTimeStampRule='start'
AND DateTime >= '2011-01-04 00:00:00' AND DateTime < '2011-01-05 00:00:00'

MAXIMUM.CYCLIC

 Maximum using Cyclic Retrieval Mode

select MAX(Value) from dbo.History
where TagName = 'ETP_RW_FlowTotal.FlowTotalOS' AND value is not null
AND wwRetrievalMode = 'Cyclic' AND wwRowCount = 1440
AND DateTime >= '2011-01-04 00:00:00' AND DateTime < '2011-01-05 00:00:00'

NOTE: This was used in versions prior to 1.2.4 for Maximum statistic.

MAXCOUNTER

 Maximum using Counter Retrieval Mode

select MAX(Value) from dbo.History
where TagName = 'ETP_RW_FlowTotal.FlowTotalOS' AND value is not null
AND wwRetrievalMode = 'Counter' AND wwTimeStampRule='start'
AND DateTime >= '2011-01-04 00:00:00' AND DateTime < '2011-01-05 00:00:00'

FIRST

Get the first value. Note: if FIRST is used with a Text Parameter it will import the DateTime of the first value.

select TOP 1 Value, DateTime from dbo.History
where TagName = 'ETP_RW_FlowTotal.FlowTotalOS' AND value is not null
AND wwRetrievalMode = 'Full' AND wwTimeStampRule='start'
AND DateTime >= '2011-01-04 00:00:00' AND DateTime < '2011-01-05 00:00:00' ORDER BY DateTime asc

FIRST.CYCLIC

 First using Cyclic Retrieval Mode

select TOP 1 Value, DateTime from dbo.History
where TagName = 'ETP_RW_FlowTotal.FlowTotalOS' AND value is not null
AND wwRetrievalMode = 'Cyclic' AND wwRowCount = 1440
AND DateTime >= '2011-01-04 00:00:00' AND DateTime < '2011-01-05 00:00:00' ORDER BY DateTime asc

NOTE: This was used in versions prior to 1.2.4 for First statistic.

LAST

Get the last value. Note: if LAST is used with a Text Parameter it will import the DateTime of the last value.

select TOP 1 Value, DateTime from dbo.History
where TagName = 'ETP_RW_FlowTotal.FlowTotalOS' AND value is not null
AND wwRetrievalMode = 'Full' AND wwTimeStampRule='start'
AND DateTime >= '2011-01-04 00:00:00' AND DateTime < '2011-01-05 00:00:00' ORDER BY DateTime desc

LAST.CYCLIC

 Last using Cyclic Retrieval Mode

select TOP 1 Value, DateTime from dbo.History
where TagName = 'ETP_RW_FlowTotal.FlowTotalOS' AND value is not null
AND wwRetrievalMode = 'Cyclic' AND wwRowCount = 1440
AND DateTime >= '2011-01-04 00:00:00' AND DateTime < '2011-01-05 00:00:00' ORDER BY DateTime desc

NOTE: This was used in versions prior to 1.2.4 for Last statistic.

DIFF

Calculate the difference between the first and last values. If the first value is larger than the second then it will perform the following calculation: (10 ^ (Ceil(LOG(first_value) / LOG(10)))) - first_value + last_value

Ceil will cause the value to round up
  1. Get FIRST value using Retrieval Mode Full
  2. Get LAST value using Retrieval Mode Full
  3. RESULT = LAST - FIRST
  4. IF RESULT < 0 THEN (10 ^ (Ceil(LOG(first_value) / LOG(10)))) - first_value + last_value

DIFF.CYCLIC

 Difference using Cyclic Retrieval Mode
  1. Get FIRST value using Retrieval Mode Cyclic
  2. Get LAST value using Retrieval Mode Cyclic
  3. RESULT = LAST - FIRST
  4. IF RESULT < 0 THEN (10 ^ (Ceil(LOG(first_value) / LOG(10)))) - first_value + last_value

RANGE

Calculate the absolute value of the difference between the minimum and maximum values
  1. Get MIN value using Retrieval Mode Minimum
  2. Get MAX value using Retrieval Mode Maximum
  3. Get ABS(MIN - MAX)

RANGE.CYCLIC

 Range using Cycle Retrieval Mode
  1. Get MIN value using Retrieval Mode Cyclic
  2. Get MAX value using Retrieval Mode Cyclic
  3. Get ABS(MIN - MAX)

INVENTORY*

Return the total use based on a tank level signal. For example, the level is 10 feet at midnight and slowly goes down to 2 feet at 2:00 PM, then gets filled to 15 feet and slowly goes down to 8 feet at midnight. The inventory function would return ((10 - 2) + (15 - 8)) = 15.
  1. select DateTime, Value from dbo.History
    where TagName = 'ETP_RW_FlowTotal.FlowTotalOS' AND value is not null
    AND wwRetrievalMode = 'Cyclic' AND wwRowCount = 1440
    AND DateTime >= '2011-01-04 00:00:00' AND DateTime < '2011-01-05 00:00:00'
  2. Loop through the records returned and sums the downward trends greater than the Deadband

MA10M

Intended to be used with a minutely variable type. Returns a 10 minute moving average. 10 minutes is subtrated from the start time, and the end time is left as is.

select AVG(Value) from dbo.History
where TagName = 'ETP_RW_FlowTotal.FlowTotalOS' AND value is not null
AND wwRetrievalMode = 'Cyclic' AND wwRowCount = 11
AND DateTime >= '2011-01-04 07:50:00' AND DateTime < '2011-01-04 08:01:00' ORDER BY DateTime asc

MAXTIME

 Returns the Date and Time of the maximum value. Intended to be used with Text Parameter Variables. The 'Date' portion is returned in the format of your Windows Regional and Language Options, Short Date Format. The time portion is returned in hh:mm:ss format.

select TOP 1 convert(varchar(30),Datetime, 120), Value from dbo.History
where TagName = 'ETP_RW_FlowTotal.FlowTotalOS' AND value is not null
AND wwRetrievalMode = 'Maximum' AND wwTimeStampRule='start' AND DateTime >= '2011-01-04 00:00:00' AND DateTime < '2011-01-05 00:00:00'

MAXTIME.CYCLIC

 Returns the Date and Time of the maximum value using Retrieval Mode Cyclic. Intended to be used with Text Parameter Variables. The 'Date' portion is returned in the format of your Windows Regional and Language Options, Short Date Format. The time portion is returned in hh:mm:ss format.

select TOP 1 DateTime, Value from dbo.History
where TagName = 'ETP_RW_FlowTotal.FlowTotalOS' AND value is not null
AND wwRetrievalMode = 'Cyclic' AND wwRowCount = 1440
AND DateTime >= '2011-01-04 00:00:00' AND DateTime < '2011-01-05 00:00:00' ORDER BY VALUE desc

NOTE: This was used in versions prior to 1.2.4 for Maxtime statistic.

MAXTIMECOUNTER

 Returns the Date and Time of the maximum value using Retrieval Mode Counter. Intended to be used with Text Parameter Variables. The 'Date' portion is returned in the format of your Windows Regional and Language Options, Short Date Format. The time portion is returned in hh:mm:ss format. select TOP 1 CONVERT(VARCHAR(30), DateTIME, 120), Value from dbo.History
where TagName = 'ETP_RW_FlowTotal.FlowTotalOS' AND value is not null
AND wwRetrievalMode = 'counter' AND wwTimeStampRule='start'
AND DateTime >= '2011-01-04 00:00:00' AND DateTime < '2011-01-05 00:00:00' ORDER BY VALUE desc

MINTIME

 Returns the time of the minimum value. Intended to be used with Text Parameter Variables. The 'Date' portion is returned in the format of your Windows Regional and Language Options, Short Date Format. The time portion is returned in hh:mm:ss format.

select TOP 1 convert(varchar(30),Datetime, 120), Value from dbo.History
where TagName = 'ETP_RW_FlowTotal.FlowTotalOS' AND value is not null
AND wwRetrievalMode = 'Minimum' AND wwTimeStampRule='start' AND DateTime >= '2011-01-04 00:00:00' AND DateTime < '2011-01-05 00:00:00'

MINTIME.CYCLIC

 Returns the Date and Time of the minimum value using Retrieval Mode Cyclic. Intended to be used with Text Parameter Variables. The 'Date' portion is returned in the format of your Windows Regional and Language Options, Short Date Format. The time portion is returned in hh:mm:ss format.

select TOP 1 DateTime, Value from dbo.History
where TagName = 'ETP_RW_FlowTotal.FlowTotalOS' AND value is not null
AND wwRetrievalMode = 'Cyclic' AND wwRowCount = 1440
AND DateTime >= '2011-01-04 00:00:00' AND DateTime < '2011-01-05 00:00:00' ORDER BY VALUE ASC

NOTE: This was used in versions prior to 1.2.4 for Mintime statistic.

* The INVENTORY statistic will ignore non-numeric values and will hold last value for the time slot difference. In the following example, the 12:03 AM value will be skipped and the difference will be between 9.67 (12:02 AM) and 9.25 (12:04 AM) when evaluating the 12:04 AM inventory value.

1/1/2014

 10.01
1/1/2014 12:01:00 AM | 9.85
1/1/2014 12:02:00 AM | 9.67
1/1/2014 12:03:00 AM | Bad Reading
1/1/2014 12:04:00 AM

9.25

1/1/2014 12:05:00 AM | 9.03

Scale Factor: This is the value to multiply the result by when using parameter variable types. Commonly used to convert from one unit base to another. For example to convert gallons per minute (GPM) to gallons per day (GPD), set the scale factor to 1440 (1440 minutes per day).

Filter: All three fields must have numeric values or the word None (as shown). The Low Range and High Range will crop data from the source. For example to eliminate negative numbers from a particular tag, set the Low Range to 0 (zero) - this will get any values equal to or greater than 0 (zero). The Deadband is used for the statistic Inventory and will elliminate noise levels up to the value specified. For example, if you enter .5 next to Deadband, any value change of .5 or less, will be ignored.

Start/Stop Time: Sets the time period within the variable's frequency to summarize data for.

    • Start Time will set the beginning of the time slot for this variable.
    • Stop Time will set the ending time for the time slot.
    • Same Day as Start is only used by daily variables and it means the stop time is on the same day as the start time.
    • Day After Start is also only used by daily variables and it means the stop time is a day after the start time.

Note: Start and Stop Time can be used for daily detail variables (i.e. Hourly, 15 Minute, etc...) to set the part of each slot to get data from. For example, for an hourly variable, set to Start Time to 00:15 and Stop Time to 00:45 to only look at data between 15 minutes and 45 minutes of each hour.

Filter Data: Used to filter what times the SCADA data should be analyzed. Example, you want to get the maximum filter turbidity but ONLY WHEN the Filter to Waste value is closed (i.e. the tag F1_WASTE_VALVE_POS = 0).

Condition | Description
<, >, =, <=, >=, <> Summarize values based on statistic when the Filter Tag is <, >, =, <=, >=, or <> to the value specified.
CYCLESTO | Summarize values based on statistic when the Filter Tag changes to Value specified.
ACT(n) | After Cycles To - Summarize values based on statistic looking at data that is n minutes after the Filter Tag changes to the value specified.
BCT(n)

Before Cycles To - Summarize values based on statistic looking at data that is n minute before the Filter Tag changes to the value specified.
NOTE: There is a work around setting for this filter function to work with the City of Ventura's Interface. The setting: BCT_TWEAK_VENTURA must be set to 1. Ex: 1

GOES>(n) | Summarize values based on statistic looking at data that is offset n minutes from when the Filter Tag goes above the value specified. N of Zero (0) means get data in the same minute, 1 means 1 minute after, -2 means 2 minutes before.
GOES<(n) | Summarize values based on statistic looking at data that is offset n minutes from when the Filter Tag goes below the value specified. N of Zero (0) means get data in the same minute, 1 means 1 minute after, -2 means 2 minutes before.

NOTE: The CYCLESTO, ACT, etc... conditions are not on the pulldown list, simply type the condition.

How filtering works:

The Interface grabs data for the source tag and the filter tag once a minute using retrieval mode of cyclic and pairs up the values for each minute. It then loops thru the records and only analyzes source tag values when the fitler tag meets the criteria.

Example: The following example gets the Minimum Chlorine Residual when the Tank Level is above 16.5:

Query:

select source.timestamp,savg,favg from
(select MIN(Value) as savg, cast (cast(month(DateTime) as varchar) + '/' + datename(day,DateTime) + '/' +datename(year,DateTime) + ' ' + datename(hour,DateTime) + ':' + datename(minute,DateTime) + ':00' as datetime) as timestamp
from dbo.AnalogHistory
where DateTime >= '2015-04-29 00:00:00' and DateTime < '2015-04-30 00:00:00'
and TagName='NPS_36IN_TTL_CL_RES.PvEU' AND value is not null AND wwRetrievalMode = 'Cyclic' AND wwRowCount = 1440
group by cast (cast(month(DateTime) as varchar) + '/' + datename(day,DateTime) + '/' +datename(year,DateTime) + ' ' + datename(hour,DateTime) + ':' + datename(minute,DateTime) + ':00' as datetime)) source
left outer join
(select MIN(Value) as favg, cast (cast(month(DateTime) as varchar) + '/' + datename(day,DateTime) + '/' +datename(year,DateTime) + ' ' + datename(hour,DateTime) + ':' + datename(minute,DateTime) + ':00' as datetime) as timestamp
from dbo.AnalogHistory where DateTime >= '2015-04-29 00:00:00' and DateTime < '2015-04-30 00:00:00'
and TagName='WFN_WELL37_1B.PumpingLevelEU' AND value is not null AND wwRetrievalMode = 'Cyclic' AND wwRowCount = 1440
group by cast (cast(month(DateTime) as varchar) + '/' + datename(day,DateTime) + '/' +datename(year,DateTime) + ' ' + datename(hour,DateTime) + ':' + datename(minute,DateTime) + ':00' as datetime)) filter
on source.timestamp=filter.timestamp

Query Output:

keywords : wonderware,insql, Industrial SQL, Historian
ID : 12195 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Tech Notes

Documentation : Topics specific to the operation of this interface

Technical Notes

Retrieval Mode

Starting in v1.2.4, the interface uses different retrieval modes based on the stat that is requested. For average, retrieval mode 'average' is used. From the Wonderware Historian Concepts Guide:

"For the time-weighted average (in short: “average”) retrieval mode, a time-weighted average algorithm is used to calculate the value to be returned for each retrieval cycle. For a statistical average, the actual data values are used to calculate the average. The average is the sum of the data values divided by the number of data values. For the following data values, the statistical average is computed as:

(P1 + P2 + P3 + P4) / 4) = Average

For a time-weighted average, values are multiplied by the time difference between the points to determine the time-weighted value. Therefore, the longer a tag had a particular value, the more weight that value holds in the overall average. The overall average is determined by adding all of the time-weighted values and then dividing that number by the total amount of time. Which values are weighted depends on the interpolation setting of the tag. For a tag that uses linear interpolation, the midpoints between values are weighted. For a tag that uses stair-step interpolation, the earlier of two values is weighted. For the following data values of a tag that uses linear interpolation, the time-weighted average is computed as:

(((P1 + P2) / 2) x (T2 - T1)) + (((P2 + P3) / 2) x (T3 - T2)) + (((P3 + P4) / 2) x (T4 - T3)) / (T4 - T1) = Average

If the same tag uses stair-step interpolation, the time-weighted average is:

((P1 x (T2 - T1)) + (P2 x (T3 - T2)) + (P3 x (T4 - T3))) / (T4 - T1) = Average

Filtering

When a Filter Tag is used, the interface uses cyclic retrieval to pull data every minute for both the Tag and the Filter Tag.

According to the Wonderware Historian Concepts Guide:

"Cyclic retrieval is the retrieval of stored data for the given time period based on a specified cyclic retrieval resolution, regardless of whether or not the value of the tag(s) has changed. It works with all types of tags. Cyclic retrieval produces a virtual rowset, which may or may not correspond to the actual data rows stored on the Wonderware Historian.

In cyclic retrieval, one row is returned for each “cycle boundary.” You specify the number of cycles either directly or by means of a time resolution, that is, the spacing of cycle boundaries in time. If you specify a number of cycles, the Wonderware Historian returns that number of rows, evenly spaced in time over the requested period. The cyclic resolution is calculated by dividing the requested time period by the number of cycle boundaries. If you specify a resolution, the number of cycles is calculated by dividing the time period by the resolution.

If no data value is actually stored at a cycle boundary, the last value before the boundary is returned. The default retrieval mode is cyclic for retrieval from analog tables, including analog and state summary tables.
Cyclic retrieval is fast and therefore consumes little server resources. However, it may not correctly reflect the stored data because important process values (gaps, spikes, etc.) might fall between cycle boundaries."

The following illustration shows how values are returned for cyclic retrieval:
Data is retrieved in cyclic mode with a start time of TCO and an end time of TC2. The resolution has been set in such a way that the historian returns data for three cycle boundaries at TC0, TC1, and TC2. Each dot in the graphic represents an actual data point stored on the historian. From these points, the following are returned:

• At TC0: P2, because it falls right on the cycle boundary
• At TC1: P7, because it is the last point before the cycle boundary
• At TC2: P11, for the same reason

Refer to your Wonderware Historian Concepts Guide for more information on retrieval mode.

Example Query to get the average for a day for a Tag:

select Avg(Value) from dbo.History
where TagName = 'ETP_RW_FlowTotal.FlowTotalOS' AND value is not null
AND wwRetrievalMode = 'Cyclic' AND wwRowCount = 1440
AND DateTime >= '2011-01-04 00:00:00' AND DateTime < '2011-01-05 00:00:00'

Notice the wwRowCount = 1440. This means we are retrieving data once a minute for the day (there are 1440 minutes in a day - 24 hours * 60 minutes/hour) and taking the average of those values. The interface always retrieves data once a minute and performs the statistics on the minutely data (regardless if retrieving daily data, hourly, etc...)

ID : 14153 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Using Interface Browser Q12183

Documentation : Topics specific to the operation of this interface

Using the interface browser for Hach WIMS Direct Server-Side Interface to Wonderware Historian (InSQL).

The browser connection must be properly configured. In the Hach WIMS client:

  • Select System Tables -> Entire System -> Server-Side Interface Setup.

  • Select the Edit button for the Wonderware Historian (InSQL) entry that you want to enable the browser for.

  • Click on the Browser tab and enter the required information. Make sure Browser Enabled is checked and click the OK button.

    • WW InSQL Connection String: An OLE DB Connection string to the Wonderware Historian database.

    Example: Connect to Runtime database on the SQL 2012 Hist Server (database service) using User ID of sa and Password of Archestra. Note: The SA user is not required, any user with Read-Only access or better to the database will work. Provider needs to match MS SQL version (ie SQLNCLI11 for SQL 2012, SQLNCLI10 for SQL 2008, SQLNCLI for SQL 2005)

    Provider=SQLNCLI11;Persist Security Info=True;User ID=sa;Password=ArchestrA;Data Source=Hist;Initial catalog=Runtime;

    The browser queries the Tag Table ("SELECT TAGNAME, DESCRIPTION, TAGTYPE FROM TAG")

    schema owner: Default of 'dbo' should be used.

    SQL Connection Method will typically be 1, and is 1 by default. If the error message: [OLE/DB provider returned message: Incorrect syntax near ".".] is encountered when trying to load tags, then change the SQL Connection Method to 2.

    To configure a variable to import values from Wonderware Historian (InSQL), select Edit/View Variables in the client and select the Interface tab.

    Now you are ready to configure a Tag from the Wonderware Historian.

    The tag browser lists all tags listed in the Historian Tag table. The TagType indicates the type of data (analog, discrete, etc...). The following table describes the TagType field (SELECT * FROM TAGTYPE):

    TagType | TagTypeName
1 | Analog
2 | Discrete
3 | String
5 | Event
7 | Structure

    Select a tag and then click OK and you will be back at the Edit Variable screen. Click on the column headers to sort by column and use the Search function to filter the list to find a particular tag (Search looks at both the TagName and Description and is not case sensitive).

    NOTES: You do not need to specify the tablename if you want to pull data from the History Table/View. If you specify the table/view in square brackets, the table MUST have the following fields: DateTime, Value, TagName, wwRetrievalMode, wwRowCount. The History, v_AnalogHistory, and v_DiscreteHistory views have these required fields.

    keywords : 12180,q12180,12183,q12183
    ID : 12197 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Special Section : Sitemap : Local Links
This CHM file contains 6 total Sub-Categories and 36 total Articles.
This page was auto-generated at 4/20/2022 10:25:42 AM

Local Links
Documentation : Introduction
Documentation : Introduction : Interface Introduction
Documentation : How To
Documentation : How To : Change Configuration Protection Password
Documentation : How To : Configuration is Password Protected
Documentation : How To : Configure the Hach WIMS Client for a Server-Side Interface (SCADA2OPSSQL)
Documentation : How To : Hach WIMS Super User Credentials
Documentation : How To : Pick Hach WIMS Variables to Import Into
Documentation : How To : Step-by-Step Instructions on How to Configure Interface
Documentation : How To : Using Common Buttons
Documentation : How To : Using Main Interface Screen
Documentation : How To : Using Select Date Range to Import
Documentation : How To : WARNING : Version Validation Failed
Documentation : Main Menu
Documentation : Main Menu : Automated Import - Activity Log View
Documentation : Main Menu : Automated Import - Last Run Dates
Documentation : Main Menu : Automated Import - Modify Last Ran Dates
Documentation : Main Menu : Automated Import - Status and Control
Documentation : Main Menu : Configuration - Advanced Configuration : Source Input Cache
Documentation : Main Menu : Configuration - Advanced Configuration: Additional Info
Documentation : Main Menu : Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field
Documentation : Main Menu : Configuration - Advanced Configuration: Unit Conversion
Documentation : Main Menu : Configuration - Automated Import Configuration
Documentation : Main Menu : Configuration - Collector Configuration
Documentation : Main Menu : Configuration - Connection To Hach WIMS
Documentation : Main Menu : File - Exit
Documentation : Main Menu : File - Import All
Documentation : Main Menu : File - Import For Selected Variables
Documentation : Main Menu : Test - Source Read Test SCADA to Hach WIMS
Documentation : Main Menu : Test - Test Connection to Hach WIMS
Documentation : Main Menu : Test - Test Import All
Documentation : Main Menu : Utilities - Upload Definition File to Hach WIMS
Documentation : Release Notes
Documentation : Release Notes : Release Notes for Hach WIMS Server-Side Interface Platform
Documentation : Release Notes : Release Notes for SCADA2OPSSQL Type of Hach WIMS Direct Server-Side Interface
Documentation : Topics specific to the operation of this interface
Documentation : Topics specific to the operation of this interface : Configuration - Source Configuration Q12180
Documentation : Topics specific to the operation of this interface : Release notes for interface Q12180
Documentation : Topics specific to the operation of this interface : Supported Variable Configurations for Interface Q12180
Documentation : Topics specific to the operation of this interface : Tech Notes
Documentation : Topics specific to the operation of this interface : Using Interface Browser Q12183


Special Section : Articles : Local Links
This CHM file contains 36 Articles.
This page was auto-generated at 4/20/2022 10:25:43 AM

Local Links
Tech Notes in Category Documentation : Topics specific to the operation of this interface
Configure the Hach WIMS Client for a Server-Side Interface (SCADA2OPSSQL) in Category Documentation : How To
Automated Import - Modify Last Ran Dates in Category Documentation : Main Menu
WARNING : Version Validation Failed in Category Documentation : How To
Utilities - Upload Definition File to Hach WIMS in Category Documentation : Main Menu
Interface Introduction in Category Documentation : Introduction
Automated Import - Last Run Dates in Category Documentation : Main Menu
Test - Test Import All in Category Documentation : Main Menu
Release Notes for Hach WIMS Server-Side Interface Platform in Category Documentation : Release Notes
Configuration - Advanced Configuration : Source Input Cache in Category Documentation : Main Menu
Configuration - Collector Configuration in Category Documentation : Main Menu
Test - Test Connection to Hach WIMS in Category Documentation : Main Menu
Change Configuration Protection Password in Category Documentation : How To
File - Exit in Category Documentation : Main Menu
Supported Variable Configurations for Interface Q12180 in Category Documentation : Topics specific to the operation of this interface
Configuration - Automated Import Configuration in Category Documentation : Main Menu
File - Import All in Category Documentation : Main Menu
Test - Source Read Test SCADA to Hach WIMS in Category Documentation : Main Menu
Configuration - Source Configuration Q12180 in Category Documentation : Topics specific to the operation of this interface
Hach WIMS Super User Credentials in Category Documentation : How To
Automated Import - Status and Control in Category Documentation : Main Menu
Configuration - Connection To Hach WIMS in Category Documentation : Main Menu
Using Interface Browser Q12183 in Category Documentation : Topics specific to the operation of this interface
Configuration is Password Protected in Category Documentation : How To
Using Main Interface Screen in Category Documentation : How To
Release notes for interface Q12180 in Category Documentation : Topics specific to the operation of this interface
Pick Hach WIMS Variables to Import Into in Category Documentation : How To
Step-by-Step Instructions on How to Configure Interface in Category Documentation : How To
Using Common Buttons in Category Documentation : How To
Automated Import - Activity Log View in Category Documentation : Main Menu
Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field in Category Documentation : Main Menu
Using Select Date Range to Import in Category Documentation : How To
Configuration - Advanced Configuration: Additional Info in Category Documentation : Main Menu
Configuration - Advanced Configuration: Unit Conversion in Category Documentation : Main Menu
File - Import For Selected Variables in Category Documentation : Main Menu
Release Notes for SCADA2OPSSQL Type of Hach WIMS Direct Server-Side Interface in Category Documentation : Release Notes


Sub-tree rooted at Release Notes

Sub-tree rooted at Documentation : Release Notes
Categories and Articles
: Release Notes for Hach WIMS Server-Side Interface Platform
: Release Notes for SCADA2OPSSQL Type of Hach WIMS Direct Server-Side Interface


Documentation
Contains 5 Sub-Categories and 0 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Categories
Introduction ( Sub-Categories : 0 , Articles : 1 )
How To ( Sub-Categories : 0 , Articles : 10 )
Main Menu ( Sub-Categories : 0 , Articles : 18 )
Release Notes ( Sub-Categories : 0 , Articles : 2 )
Topics specific to the operation of this interface ( Sub-Categories : 0 , Articles : 5 )

ID : 2L3D4M , Online Version


Sub-tree rooted at Documentation
Categories and Articles
: Introduction
Introduction : Interface Introduction
: How To
How To : Change Configuration Protection Password
How To : Configuration is Password Protected
How To : Configure the Hach WIMS Client for a Server-Side Interface (SCADA2OPSSQL)
How To : Hach WIMS Super User Credentials
How To : Pick Hach WIMS Variables to Import Into
How To : Step-by-Step Instructions on How to Configure Interface
How To : Using Common Buttons
How To : Using Main Interface Screen
How To : Using Select Date Range to Import
How To : WARNING : Version Validation Failed
: Main Menu
Main Menu : Automated Import - Activity Log View
Main Menu : Automated Import - Last Run Dates
Main Menu : Automated Import - Modify Last Ran Dates
Main Menu : Automated Import - Status and Control
Main Menu : Configuration - Advanced Configuration : Source Input Cache
Main Menu : Configuration - Advanced Configuration: Additional Info
Main Menu : Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field
Main Menu : Configuration - Advanced Configuration: Unit Conversion
Main Menu : Configuration - Automated Import Configuration
Main Menu : Configuration - Collector Configuration
Main Menu : Configuration - Connection To Hach WIMS
Main Menu : File - Exit
Main Menu : File - Import All
Main Menu : File - Import For Selected Variables
Main Menu : Test - Source Read Test SCADA to Hach WIMS
Main Menu : Test - Test Connection to Hach WIMS
Main Menu : Test - Test Import All
Main Menu : Utilities - Upload Definition File to Hach WIMS
: Release Notes
Release Notes : Release Notes for Hach WIMS Server-Side Interface Platform
Release Notes : Release Notes for SCADA2OPSSQL Type of Hach WIMS Direct Server-Side Interface
: Topics specific to the operation of this interface
Topics specific to the operation of this interface : Configuration - Source Configuration Q12180
Topics specific to the operation of this interface : Release notes for interface Q12180
Topics specific to the operation of this interface : Supported Variable Configurations for Interface Q12180
Topics specific to the operation of this interface : Tech Notes
Topics specific to the operation of this interface : Using Interface Browser Q12183


Sub-tree rooted at How To

Sub-tree rooted at Documentation : How To
Categories and Articles
: Change Configuration Protection Password
: Configuration is Password Protected
: Configure the Hach WIMS Client for a Server-Side Interface (SCADA2OPSSQL)
: Hach WIMS Super User Credentials
: Pick Hach WIMS Variables to Import Into
: Step-by-Step Instructions on How to Configure Interface
: Using Common Buttons
: Using Main Interface Screen
: Using Select Date Range to Import
: WARNING : Version Validation Failed


Sub-tree rooted at Introduction

Sub-tree rooted at Documentation : Introduction
Categories and Articles
: Interface Introduction


Sub-tree rooted at Topics specific to the operation of this interface

Sub-tree rooted at Documentation : Topics specific to the operation of this interface
Categories and Articles
: Configuration - Source Configuration Q12180
: Release notes for interface Q12180
: Supported Variable Configurations for Interface Q12180
: Tech Notes
: Using Interface Browser Q12183


Sub-tree rooted at Main Menu

Sub-tree rooted at Documentation : Main Menu
Categories and Articles
: Automated Import - Activity Log View
: Automated Import - Last Run Dates
: Automated Import - Modify Last Ran Dates
: Automated Import - Status and Control
: Configuration - Advanced Configuration : Source Input Cache
: Configuration - Advanced Configuration: Additional Info
: Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field
: Configuration - Advanced Configuration: Unit Conversion
: Configuration - Automated Import Configuration
: Configuration - Collector Configuration
: Configuration - Connection To Hach WIMS
: File - Exit
: File - Import All
: File - Import For Selected Variables
: Test - Source Read Test SCADA to Hach WIMS
: Test - Test Connection to Hach WIMS
: Test - Test Import All
: Utilities - Upload Definition File to Hach WIMS